import matplotlib.pyplot as plt
import numpy as np
import scipy.special

def L_func(p):
    return scipy.special.binom(10, 7) * (p ** 7) * ((1 - p) ** (10 -7))

p_values = np.arange(0.0, 1.005, 0.01)
L_values = L_func(p_values)

plt.plot(p_values, L_values)
plt.show()
